## cosign 2.4.3

=== Makefile ===
#
# Copyright 2021 The Sigstore Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

ifeq (,$(shell echo $$DEBUG))
else
SHELL = bash -x
endif

# allow overwriting the default `go` value with the custom path to the go executable
GOEXE ?= go

# Get the currently used golang install path (in GOPATH/bin, unless GOBIN is set)
ifeq (,$(shell $(GOEXE) env GOBIN))
GOBIN=$(shell $(GOEXE) env GOPATH)/bin
else
GOBIN=$(shell $(GOEXE) env GOBIN)
endif

# Set version variables for LDFLAGS
PROJECT_ID ?= projectsigstore
RUNTIME_IMAGE ?= gcr.io/distroless/static
GIT_TAG ?= dirty-tag
GIT_VERSION ?= $(shell git describe --tags --always --dirty)
GIT_HASH ?= $(shell git rev-parse HEAD)
DATE_FMT = +%Y-%m-%dT%H:%M:%SZ
SOURCE_DATE_EPOCH ?= $(shell git log -1 --no-show-signature --pretty=%ct)
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "$(DATE_FMT)" 2>/dev/null || date -u "$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "$(DATE_FMT)")
endif
GIT_TREESTATE = "clean"
DIFF = $(shell git diff --quiet >/dev/null 2>&1; if [ $$? -eq 1 ]; then echo "1"; fi)
ifeq ($(DIFF), 1)
    GIT_TREESTATE = "dirty"
endif
PLATFORMS=darwin linux windows
ARCHITECTURES=amd64
COSIGNED_ARCHS?=all

LDFLAGS=-buildid= -X sigs.k8s.io/release-utils/version.gitVersion=$(GIT_VERSION) \
        -X sigs.k8s.io/release-utils/version.gitCommit=$(GIT_HASH) \
        -X sigs.k8s.io/release-utils/version.gitTreeState=$(GIT_TREESTATE) \
        -X sigs.k8s.io/release-utils/version.buildDate=$(BUILD_DATE)

SRCS = $(shell find cmd -iname "*.go") $(shell find pkg -iname "*.go")

GOLANGCI_LINT_DIR = $(shell pwd)/bin
GOLANGCI_LINT_BIN = $(GOLANGCI_LINT_DIR)/golangci-lint

KO_PREFIX ?= gcr.io/projectsigstore
export KO_DOCKER_REPO=$(KO_PREFIX)
GHCR_PREFIX ?= ghcr.io/sigstore/cosign
LATEST_TAG ?=

.PHONY: all lint test clean cosign conformance cross
all: cosign

log-%:
	@grep -h -E '^$*:.*?## .*$$' $(MAKEFILE_LIST) | \
		awk \
			'BEGIN { \
				FS = ":.*?## " \
			}; \
			{ \
				printf "\033[36m==> %s\033[0m\n", $$2 \
			}'

cosign: $(SRCS)
	CGO_ENABLED=0 $(GOEXE) build -trimpath -ldflags "$(LDFLAGS)" -o $@ ./cmd/cosign

cosign-pivkey-pkcs11key: $(SRCS)
	CGO_ENABLED=1 $(GOEXE) build -trimpath -tags=pivkey,pkcs11key -ldflags "$(LDFLAGS)" -o cosign ./cmd/cosign

install: $(SRCS)
	CGO_ENABLED=1 $(GOEXE) install -trimpath -ldflags "$(LDFLAGS)" ./cmd/cosign

install-pivkey-pkcs11key: $(SRCS)
	CGO_ENABLED=1 $(GOEXE) install -trimpath -tags=pivkey,pkcs11key -ldflags "$(LDFLAGS)" ./cmd/cosign

.PHONY: cross
cross:
	$(foreach GOOS, $(PLATFORMS),\
		$(foreach GOARCH, $(ARCHITECTURES), $(shell export GOOS=$(GOOS); export GOARCH=$(GOARCH); \
	$(GOEXE) build -trimpath -ldflags "$(LDFLAGS)" -o cosign-$(GOOS)-$(GOARCH) ./cmd/cosign; \
	shasum -a 256 cosign-$(GOOS)-$(GOARCH) > cosign-$(GOOS)-$(GOARCH).sha256 ))) \

#####################
# lint / test section
#####################

golangci-lint:
	rm -f $(GOLANGCI_LINT_BIN) || :
	set -e ;\
	GOBIN=$(GOLANGCI_LINT_DIR) $(GOEXE) install github.com/golangci/golangci-lint/cmd/golangci-lint@v1.55.2	 ;\

lint: golangci-lint ## Run golangci-lint linter
	$(GOLANGCI_LINT_BIN) run -n

test:
	$(GOEXE) test $(shell $(GOEXE) list ./... | grep -v third_party/)

clean:
	rm -rf cosign
	rm -rf dist/

KOCACHE_PATH=/tmp/ko
ARTIFACT_HUB_LABELS=--image-label io.artifacthub.package.readme-url="https://raw.githubusercontent.com/sigstore/cosign/main/README.md" \
                    --image-label io.artifacthub.package.logo-url=https://raw.githubusercontent.com/sigstore/cosign/main/images/logo.svg \
                    --image-label io.artifacthub.package.license=Apache-2.0 --image-label io.artifacthub.package.vendor=sigstore \
                    --image-label io.artifacthub.package.version=0.1.0 \
                    --image-label io.artifacthub.package.name=cosign \
                    --image-label org.opencontainers.image.created=$(BUILD_DATE) \
                    --image-label org.opencontainers.image.description="Container signing verification and storage in an OCI registry" \
                    --image-label io.artifacthub.package.alternative-locations="oci://ghcr.io/sigstore/cosign/cosign"

define create_kocache_path
  mkdir -p $(KOCACHE_PATH)
endef

###################
# conformance tests
###################

conformance:
	$(GOEXE) build -trimpath -ldflags "$(LDFLAGS)" -o $@ ./cmd/conformance

CONFORMANCE_RUNNER_PATH = sigstore-conformance
$(CONFORMANCE_RUNNER_PATH):
	git clone https://github.com/sigstore/sigstore-conformance $@

.PHONY: conformance-runner
conformance-runner:
	$(MAKE) $(CONFORMANCE_RUNNER_PATH) conformance-runner-pull conformance-runner-build

.PHONY: conformance-runner-pull
conformance-runner-pull:
	cd $(CONFORMANCE_RUNNER_PATH) && git pull

.PHONY: conformance-runner-build
conformance-runner-build:
	cd $(CONFORMANCE_RUNNER_PATH) && $(MAKE) dev

CONFORMANCE_BIN = $(shell pwd)/conformance
.PHONY: conformance-tests
conformance-tests:
	cd $(CONFORMANCE_RUNNER_PATH) && env/bin/pytest test --entrypoint=$(CONFORMANCE_BIN)

##########
# ko build
##########
.PHONY: ko
ko: ko-cosign ko-cosign-dev

.PHONY: ko-cosign
ko-cosign:
	$(create_kocache_path)
	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KOCACHE=$(KOCACHE_PATH) ko build --base-import-paths \
		--platform=all --tags $(GIT_VERSION) --tags $(GIT_HASH)$(LATEST_TAG) \
		$(ARTIFACT_HUB_LABELS) --image-refs cosignImagerefs \
		github.com/sigstore/cosign/v2/cmd/cosign

.PHONY: ko-cosign-dev
ko-cosign-dev:
	$(create_kocache_path)
	LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KOCACHE=$(KOCACHE_PATH) KO_DEFAULTBASEIMAGE=gcr.io/distroless/static-debian12:debug-nonroot ko build --base-import-paths \
		--platform=all --tags $(GIT_VERSION)-dev --tags $(GIT_HASH)-dev$(LATEST_TAG)-dev \
		$(ARTIFACT_HUB_LABELS) --image-refs cosignDevImagerefs \
		github.com/sigstore/cosign/v2/cmd/cosign

.PHONY: ko-local
ko-local:
	$(create_kocache_path)
	KO_DOCKER_REPO=ko.local LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KOCACHE=$(KOCACHE_PATH) ko build --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) \
		$(ARTIFACT_HUB_LABELS) \
		github.com/sigstore/cosign/v2/cmd/cosign

.PHONY: ko-local-dev
ko-local-dev:
	$(create_kocache_path)
	KO_DOCKER_REPO=ko.local/cosign-dev LDFLAGS="$(LDFLAGS)" GIT_HASH=$(GIT_HASH) GIT_VERSION=$(GIT_VERSION) \
	KOCACHE=$(KOCACHE_PATH) KO_DEFAULTBASEIMAGE=gcr.io/distroless/static-debian12:debug-nonroot ko build --base-import-paths \
		--tags $(GIT_VERSION) --tags $(GIT_HASH) \
		$(ARTIFACT_HUB_LABELS) \
		github.com/sigstore/cosign/v2/cmd/cosign

##################
# help
##################

help: # Display help
	@awk -F ':|##' \
		'/^[^\t].+?:.*?##/ {\
			printf "\033[36m%-30s\033[0m %s\n", $$1, $$NF \
		}' $(MAKEFILE_LIST) | sort

include release/release.mk
include test/ci.mk

##########################
# Documentation generation
##########################

.PHONY: docgen
docgen:
	$(GOEXE) run -tags pivkey,pkcs11key,cgo ./cmd/help/

## cosign 2.2.0

=== debian/changelog ===
cosign (2.2.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:36:05 +0200

cosign (2.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.2.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 01 Sep 2023 10:42:44 +0200

cosign (2.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 12:03:55 +0200

cosign (2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2023 15:14:20 +0200

cosign (2.0.2-0kali2) kali-dev; urgency=medium

  * Add missing build-dep ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 May 2023 10:54:21 +0200

cosign (2.0.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 27 Apr 2023 17:31:52 +0200

=== debian/control ===
Source: cosign
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
		       ca-certificates,
               golang-github-go-openapi-runtime-dev,
               golang-github-go-openapi-strfmt-dev,
               golang-github-go-openapi-swag-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-go-github-dev,
               golang-github-kelseyhightower-envconfig-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xanzy-go-gitlab-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-term-dev,
               golang-google-api-dev,
               golang-k8s-utils-dev
Standards-Version: 4.6.2
Homepage: https://github.com/sigstore/cosign
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/cosign

Package: cosign
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Container Signing using Sigstore (program)
 This package contains a tool to sign OCI containers (and other artifacts)
 using Sigstore (https://sigstore.dev/)!
 .
 Cosign aims to make signatures **invisible infrastructure**.
 .
 Cosign supports:
 .
  * "Keyless signing" with the Sigstore public good Fulcio certificate
    authority and Rekor transparency log (default)
  * Hardware and KMS signing
  * Signing with a cosign generated encrypted private/public keypair
  * Container Signing, Verification and Storage in an OCI registry.
  * Bring-your-own PKI

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor


%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	go install ./...
	find .

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:

override_dh_golang:

=== debian/tests/control ===
Test-Command: cosign -h
Restrictions: allow-stderr, superficial

## cosign 2.4.1

=== debian/changelog ===
cosign (2.4.1-2) unstable; urgency=medium

  * Upload to unstable.
  * d/salsa-ci.yml: Drop local apt repos.
  * Add manpage.
  * Use dh-sequence-golang.
  * d/salsa-ci.yml: Tighten Salsa autopkgtest checks.
  * Override lintian error for cosign's Built-Using.
  * Bump d/* copyright years.
  * DEP3ify patches.
  * Clean test wasm file.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jan 2025 00:53:18 +0100

cosign (2.4.1-1) experimental; urgency=medium

  * Initial release (Closes: #1061446)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Dec 2024 13:53:40 +0100

=== debian/control ===
Source: cosign
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-awslabs-amazon-ecr-credential-helper-dev,
 golang-github-cockroachdb-apd-dev,
 golang-github-cue-labs-oci-dev,
 golang-github-cue-lang-cue-dev,
 golang-github-emicklei-proto-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-go-containerregistry-dev,
 golang-github-google-go-github-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-github-mitchellh-go-wordwrap-dev,
 golang-github-moby-term-dev,
 golang-github-nozzle-throttler-dev,
 golang-github-pkg-errors-dev,
 golang-github-protocolbuffers-txtpbfmt-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-fulcio-dev,
 golang-github-sigstore-rekor-dev,
 golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
 golang-github-sigstore-sigstore-go-dev,
 golang-github-sigstore-timestamp-authority-dev,
 golang-github-smallstep-crypto-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-spiffe-go-spiffe-dev,
 golang-github-stretchr-testify-dev,
 golang-github-transparency-dev-merkle-dev,
 golang-github-withfig-autocomplete-tools-dev,
 golang-github-xanzy-go-gitlab-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sync-dev,
 golang-golang-x-term-dev,
 golang-google-api-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-k8s-utils-dev,
 help2man <!nodoc>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/cosign
Vcs-Git: https://salsa.debian.org/go-team/packages/cosign.git
Homepage: https://github.com/sigstore/cosign
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/sigstore/cosign

Package: cosign
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Code signing/transparency for containers and binaries (program)
 Signing OCI containers (and other artifacts) using Sigstore
 .
 Cosign supports:
 .
  * "Keyless signing" with the Sigstore public good Fulcio certificate
    authority and Rekor transparency log (default)
  * Hardware and KMS signing
  * Signing with a cosign generated encrypted private/public keypair
  * Container Signing, Verification and Storage in an OCI registry.
  * Bring-your-own PKI
 .
 This package contains the command-line tool cosign.

Package: golang-github-sigstore-cosign-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-awslabs-amazon-ecr-credential-helper-dev,
 golang-github-go-openapi-runtime-dev,
 golang-github-go-openapi-strfmt-dev,
 golang-github-go-openapi-swag-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-go-containerregistry-dev,
 golang-github-google-go-github-dev,
 golang-github-in-toto-in-toto-golang-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-github-mitchellh-go-wordwrap-dev,
 golang-github-moby-term-dev,
 golang-github-nozzle-throttler-dev,
 golang-github-pkg-errors-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-fulcio-dev,
 golang-github-sigstore-rekor-dev,
 golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
 golang-github-sigstore-sigstore-go-dev,
 golang-github-sigstore-timestamp-authority-dev,
 golang-github-smallstep-crypto-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-spf13-viper-dev,
 golang-github-spiffe-go-spiffe-dev,
 golang-github-stretchr-testify-dev,
 golang-github-transparency-dev-merkle-dev,
 golang-github-withfig-autocomplete-tools-dev,
 golang-github-xanzy-go-gitlab-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sync-dev,
 golang-golang-x-term-dev,
 golang-google-api-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
 golang-k8s-sigs-release-utils-dev,
 golang-k8s-utils-dev,
 ${misc:Depends},
Description: Code signing/transparency for containers and binaries (library)
 Signing OCI containers (and other artifacts) using Sigstore
 .
 Cosign supports:
 .
  * "Keyless signing" with the Sigstore public good Fulcio certificate
    authority and Rekor transparency log (default)
  * Hardware and KMS signing
  * Signing with a cosign generated encrypted private/public keypair
  * Container Signing, Verification and Storage in an OCI registry.
  * Bring-your-own PKI
 .
 This package contains the Go source code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_BUILDPKG="github.com/sigstore/cosign/cmd/cosign"

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	rm -rf _build/src/github.com/sigstore/cosign/pkg/cosign/rego

execute_after_dh_auto_install:
	rm -fv $(CURDIR)/debian/tmp/usr/share/gocode/src/github.com/sigstore/cosign/test/testdata/test.wasm

execute_before_dh_installman:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	mkdir -pv $(CURDIR)/debian/tmp/usr/share/man/man1
	help2man --version-string="$(DEB_VERSION)" \
		--no-info --no-discard-stderr \
		--name="Container Signing/Verification/Storage tool" \
		--output $(CURDIR)/debian/tmp/usr/share/man/man1/cosign.1 \
		$(CURDIR)/debian/tmp/usr/bin/cosign
endif

## cosign 2.4.3

=== debian/changelog ===
cosign (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Refresh disable-credhelper.patch.
  * salsa-ci: Rebuild reverse dependencies.
  * Need sigstore-go >= 0.7.0.
  * Use xanzy gitlab for now.
  * Fix cosign lintian override for Built-Using.
  * Improve man page building.
  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 17 Mar 2025 00:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev,
+ golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
@@ -54,7 +54,7 @@
  golang-k8s-sigs-release-utils-dev,
  golang-k8s-utils-dev,
  help2man <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cosign
 Vcs-Git: https://salsa.debian.org/go-team/packages/cosign.git
 Homepage: https://github.com/sigstore/cosign
@@ -103,7 +103,7 @@
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev,
+ golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,15 @@
 execute_after_dh_auto_install:
 	rm -fv $(CURDIR)/debian/tmp/usr/share/gocode/src/github.com/sigstore/cosign/test/testdata/test.wasm
 
-execute_before_dh_installman:
+B = $(CURDIR)/debian/tmp/usr/bin
+M = $(CURDIR)/debian/tmp/usr/share/man/man1
+
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	mkdir -pv $(CURDIR)/debian/tmp/usr/share/man/man1
+execute_before_dh_installman-arch:
+	mkdir -pv $(M)
 	help2man --version-string="$(DEB_VERSION)" \
 		--no-info --no-discard-stderr \
 		--name="Container Signing/Verification/Storage tool" \
-		--output $(CURDIR)/debian/tmp/usr/share/man/man1/cosign.1 \
-		$(CURDIR)/debian/tmp/usr/bin/cosign
+		--output $(M)/cosign.1 \
+		$(B)/cosign
 endif

## cosign 2.5.0

=== debian/changelog ===
cosign (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 12 Apr 2025 08:48:04 +0200

cosign (2.5.0-1) experimental; urgency=medium

  * New upstream version 2.5.0
  * Use wildcard for lintian field-too-long.
  * d/salsa-ci: Fail on lintian warnings.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 11:20:13 +0200

cosign (2.4.3-2) unstable; urgency=medium

  * Migrate to golang-gitlab-gitlab-org-api-client-go-dev
    from golang-github-xanzy-go-gitlab-dev.
  * cosign: Add Static-Built-Using.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 17:35:23 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  golang-github-stretchr-testify-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-withfig-autocomplete-tools-dev,
- golang-github-xanzy-go-gitlab-dev,
+ golang-gitlab-gitlab-org-api-client-go-dev,
  golang-golang-x-crypto-dev,
  golang-golang-x-oauth2-google-dev,
  golang-golang-x-sync-dev,
@@ -68,6 +68,8 @@
  ${shlibs:Depends},
 Built-Using:
  ${misc:Built-Using},
+Static-Built-Using:
+ ${misc:Static-Built-Using},
 Description: Code signing/transparency for containers and binaries (program)
  Signing OCI containers (and other artifacts) using Sigstore
  .
@@ -113,7 +115,7 @@
  golang-github-stretchr-testify-dev,
  golang-github-transparency-dev-merkle-dev,
  golang-github-withfig-autocomplete-tools-dev,
- golang-github-xanzy-go-gitlab-dev,
+ golang-gitlab-gitlab-org-api-client-go-dev,
  golang-golang-x-crypto-dev,
  golang-golang-x-oauth2-google-dev,
  golang-golang-x-sync-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/sigstore/cosign/tags .*/v?(\d\S*)\.tar\.gz debian

## cosign 2.6.2

=== debian/changelog ===
cosign (2.6.2-1~exp0) experimental; urgency=medium

  * New upstream version
    - Fixes CVE-2026-22703 (Closes: #1126764)
  * Use watch v5 tracking git and pinning at v2
  * Use gbp upstream-vcs-tag
  * Refresh patches
  * Add new build deps
  * Bump sigstore-go to >=1.1.4
  * Drop Priority: optional
  * Drop Rules-Requires-Root: no
  * Standards-Version: 4.7.3
  * Modernize Salsa CI
  * Drop lintian field-too-long for Static-Built-Using
  * Bump copyright years
  * Breaks gitsign<=0.13.0-3

 -- Simon Josefsson <simon@josefsson.org>  Wed, 18 Feb 2026 11:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Simon Josefsson <simon@josefsson.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -20,6 +19,7 @@
  golang-github-google-go-cmp-dev,
  golang-github-google-go-containerregistry-dev,
  golang-github-google-go-github-dev,
+ golang-github-in-toto-attestation-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-kelseyhightower-envconfig-dev,
  golang-github-mitchellh-go-wordwrap-dev,
@@ -30,8 +30,9 @@
  golang-github-secure-systems-lab-go-securesystemslib-dev,
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
+ golang-github-sigstore-rekor-tiles-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
+ golang-github-sigstore-sigstore-go-dev (>> 1.1.4~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,
@@ -54,11 +55,10 @@
  golang-k8s-sigs-release-utils-dev,
  golang-k8s-utils-dev,
  help2man <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cosign
 Vcs-Git: https://salsa.debian.org/go-team/packages/cosign.git
 Homepage: https://github.com/sigstore/cosign
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/sigstore/cosign
 
 Package: cosign
@@ -87,6 +87,8 @@
 Package: golang-github-sigstore-cosign-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks:
+ golang-github-sigstore-gitsign-dev (<= 0.13.0-3)
 Depends:
  golang-github-awslabs-amazon-ecr-credential-helper-dev,
  golang-github-go-openapi-runtime-dev,
@@ -95,6 +97,7 @@
  golang-github-google-go-cmp-dev,
  golang-github-google-go-containerregistry-dev,
  golang-github-google-go-github-dev,
+ golang-github-in-toto-attestation-dev,
  golang-github-in-toto-in-toto-golang-dev,
  golang-github-kelseyhightower-envconfig-dev,
  golang-github-mitchellh-go-wordwrap-dev,
@@ -104,8 +107,9 @@
  golang-github-secure-systems-lab-go-securesystemslib-dev,
  golang-github-sigstore-fulcio-dev,
  golang-github-sigstore-rekor-dev,
+ golang-github-sigstore-rekor-tiles-dev,
  golang-github-sigstore-sigstore-dev (>> 1.8.10-3~exp0~),
- golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
+ golang-github-sigstore-sigstore-go-dev (>> 1.1.4~),
  golang-github-sigstore-timestamp-authority-dev,
  golang-github-smallstep-crypto-dev,
  golang-github-spf13-cobra-dev,

=== debian/watch ===
Version: 5
Source: https://github.com/sigstore/cosign.git
Matching-Pattern: refs/tags/v(2.*)
Git-Mode: full
Mode: git
